import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ClockArrowDownIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M12.338 21.994A10 10 0 1 1 21.925 13.227" />
			<Path d="M12 6v6l2 1" />
			<Path d="m14 18 4 4 4-4" />
			<Path d="M18 14v8" />
		</Svg>
	);
}
