import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function IceCreamConeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m7 11 4.08 10.35a1 1 0 0 0 1.84 0L17 11" />
			<Path d="M17 7A5 5 0 0 0 7 7" />
			<Path d="M17 7a2 2 0 0 1 0 4H7a2 2 0 0 1 0-4" />
		</Svg>
	);
}
