import { useState } from 'react';

export const useHover = () => {
	const [active, setActive] = useState(false);

	const onHoverIn = () => setActive(true);
	const onHoverOut = () => setActive(false);

	return {
		hovered: active,
		onHoverIn,
		onHoverOut,
	};
};
