import * as React from 'react';
import Svg, { Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function ChartNoAxesColumnIncreasingIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={12} x2={12} y1={20} y2={10} />
			<Line x1={18} x2={18} y1={20} y2={4} />
			<Line x1={6} x2={6} y1={20} y2={16} />
		</Svg>
	);
}
