import * as React from 'react';
import Svg, { Line, Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function CigaretteOffIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={2} x2={22} y1={2} y2={22} />
			<Path d="M12 12H2v4h14" />
			<Path d="M22 12v4" />
			<Path d="M18 12h-.5" />
			<Path d="M7 12v4" />
			<Path d="M18 8c0-2.5-2-2.5-2-5" />
			<Path d="M22 8c0-2.5-2-2.5-2-5" />
		</Svg>
	);
}
