import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function PilcrowLeftIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M14 3v11" />
			<Path d="M14 9h-3a3 3 0 0 1 0-6h9" />
			<Path d="M18 3v11" />
			<Path d="M22 18H2l4-4" />
			<Path d="m6 22-4-4" />
		</Svg>
	);
}
