import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function PilcrowRightIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M10 3v11" />
			<Path d="M10 9H7a1 1 0 0 1 0-6h8" />
			<Path d="M14 3v11" />
			<Path d="m18 14 4 4H2" />
			<Path d="m22 18-4 4" />
		</Svg>
	);
}
