import * as React from 'react';
import Svg, { Path, Circle } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function RefreshCcwDotIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M3 2v6h6" />
			<Path d="M21 12A9 9 0 0 0 6 5.3L3 8" />
			<Path d="M21 22v-6h-6" />
			<Path d="M3 12a9 9 0 0 0 15 6.7l3-2.7" />
			<Circle cx={12} cy={12} r={1} />
		</Svg>
	);
}
