import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function Repeat2Icon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m2 9 3-3 3 3" />
			<Path d="M13 18H7a2 2 0 0 1-2-2V6" />
			<Path d="m22 15-3 3-3-3" />
			<Path d="M11 6h6a2 2 0 0 1 2 2v10" />
		</Svg>
	);
}
